跳转到主要内容
资源中心/资源编排/资源编排相关接口
GETCloudFormation Operations起始版本 3.9.0同步需要认证

获取资源栈中云主机端口监控状态

获取资源栈中云主机端口监控状态

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • uuidString必填

    资源的UUID,唯一标示该资源

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • portStatusMap必填

    端口监控状态(open / initialize / close)

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/cloudformation/stack/monitor/vmstatus

/zstack/v1/cloudformation/stack/monitor/vmstatus

操作 ID

GetResourceStackVmStatus

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/cloudformation/stack/monitor/vmstatus?uuid=<uuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "portStatus": {} }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史